[data-component-id="incmty:domino_item"] {
  display: flex;
  flex-direction: column;
  gap: 24px;

  & .domino-item__content {
    flex: 1;
    display: flex;
    flex-direction: column;

    * + .domino-item__link {
      margin-top: 16px;
    }

    & .domino-item__link {
      a {
        display: inline-block;
        font-size: 12px;
        font-style: normal;
        font-weight: 900;
        line-height: 18px;
        padding: 16px 32px;
        text-decoration: none;
        text-transform: uppercase;
        border-radius: 96px;
        color: var(--button-text-color);
        background-color: var(--button-bg-color);
        opacity: 1;
        transition: 0.3s;
      }
    }

    [data-component-id="incmty:headings"] {
      display: flex;
      flex-direction: column;
      text-align: left;
      gap: 16px;
      margin: 0;

      > * + * {
        padding: 0;
      }

      & .headings__title {
        color: var(--text-color);
        font-size: 12px;
        font-weight: 900;
        line-height: 18px;
      }

      & .headings__subtitle {
        color: var(--text-color);
        font-family: "DM Sans";
        font-size: 26px;
        font-weight: 700;
        line-height: 32px;
        margin: 0;
      }

      & .headings__description {
        color: var(--text-color);
        margin: 0;

        & a {
          color: var(--link-text-color);
          font-weight: 700;

          &:hover {
            opacity: .75;
            text-decoration: underline;
          }

          + a {
            margin: 0;
          }

          &:focus {
            outline: none;
            box-shadow: none;
          }
        }

        & .media--type-document {
          & .file {
            padding: 0;
            background-image: none;

            & .file__size {
              display: none;
            }
          }
        }
      }
    }
  }

  & .domino-item__media {
    flex: 1;
    border-radius: 24px;
    overflow: hidden;

    & .blazy {
      height: 100%;

      & .media--image {
        height: 100%;
      }
    }

    & img {
      width: 100%;
      height: 100%;
      object-fit: cover;
      aspect-ratio: 16 / 9;
    }

    &.ohidden {
      overflow: hidden;
    }

    & .domino-item__image,
    & .domino-item__gallery {
      border-radius: 24px;
      aspect-ratio: 16 / 9;
    }

    & .domino-item__gallery {
      margin-bottom: 48px;

      & .slick-list {
        border-radius: 24px;
        overflow: hidden;

        & .slick-track {
          & .domino__item-slide {
            width: 100%;
            height: 100%;

            & img {
              width: 100%;
              height: 100%;
              object-fit: cover;
            }
          }
        }
      }

      & .slick-dots {
        bottom: -43px;

        & li {
          & button {
            &:before {
              font-size: 12px;
              min-width: 12px;
              min-height: 12px;
              color: var(--text-color);
            }

            &:focus {
              box-shadow: none;
            }
          }

          &.slick-active {
            & button {
              &:before {
                opacity: 1;
              }
            }
          }
        }
      }
    }

    .domino-item__video {
      position: relative;
      width: 100%;
      aspect-ratio: 16 / 9;
      overflow: hidden;

      .field--name-field-video-url {
        position: absolute;
        inset: 0;
        z-index: 1;

        .media--type-remote-video {
          height: 100%;

          .field--name-field-media-oembed-video {
            height: 100%;

            iframe {
              width: 100%;
              height: 100%;
              border: 0;
            }
          }
        }
      }

      .field--name-field-video-thumbnail {
        position: absolute;
        inset: 0;
        z-index: 2;
        cursor: pointer;
        transition: opacity 0.3s ease;

        &::before,
        &::after {
          content: '';
          display: block;
          position: absolute;
          pointer-events: none;
        }

        &::before {
          top: 50%;
          left: 50%;
          transform: translate(-50%, -50%);
          width: 64px;
          height: 64px;
          mask-image: url(../../images/svg/icon-play.svg);
          mask-position: center;
          mask-size: contain;
          mask-repeat: no-repeat;
          background-color: #FFFFFF;
          z-index: 2;
        }

        .media--image,
        picture,
        img {
          width: 100%;
          height: 100%;
          object-fit: cover;
          display: block;
        }

        &.hidden {
          opacity: 0;
          pointer-events: none;
          z-index: -1;
        }

        &::after {
          inset: 0;
          background-color: #030219;
          opacity: .25;
          z-index: 1;
        }
      }
    }
  }

  &.position-left {
    flex-direction: column-reverse;
  }
}

@media only screen and (min-width: 1024px) {
  [data-component-id="incmty:domino_item"] {
    flex-direction: row;
    align-items: center;
    gap: 96px;

    &.position-left {
      flex-direction: row-reverse;
    }
  }
}
